org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class ClassLevelMetricTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.metrics.ClassLevelMetricTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ClassLevelMetricTest
    extends org.jboss.arquillian.testng.Arquillian

Ensure that metrics are created correctly when a Fault Tolerance annotation is placed on the class rather than the method.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ClassLevelMetricTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testRetryMetricSuccessfulAfterRetry()`
`void` `testRetryMetricSuccessfulImmediately()`
`void` `testRetryMetricUnsuccessful()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassLevelMetricTest

    public ClassLevelMetricTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testRetryMetricSuccessfulImmediately

    public void testRetryMetricSuccessfulImmediately()

#### testRetryMetricSuccessfulAfterRetry

    public void testRetryMetricSuccessfulAfterRetry()

#### testRetryMetricUnsuccessful

    public void testRetryMetricUnsuccessful()